@if (row && canExecute() | async) {
  @if (isExploratoryExecution()) {
    <div
      nz-tooltip
      [nzTooltipTitle]="
        'sqtm-core.campaign-workspace.test-plan-execution.access-session'
          | translate
      "
      [nzTooltipPlacement]="'left'"
      class="full-height full-width flex-column icon-container current-workspace-main-color"
      (click)="accessSessionOverview()"
    >
      <i
        nz-icon
        nzType="play-circle"
        nzTheme="outline"
        class="table-icon-size"
      ></i>
    </div>
  } @else {
    <div
      class="full-height full-width flex-column icon-container current-workspace-main-color"
      (click)="openExecutionMenu()"
      nz-popover
      [nzPopoverVisible]="menuVisible$ | async"
      [nzPopoverContent]="contentTemplate"
      [nzPopoverTrigger]="'click'"
      [nzPopoverPlacement]="'left'"
    >
      <i
        nz-icon
        nzType="play-circle"
        nzTheme="outline"
        class="table-icon-size"
      ></i>
    </div>

    <ng-template #contentTemplate>
      @if (row.data.executionExecutionMode === 'AUTOMATED') {
        <a
          [class.disabled]="row.data.hasBlockingMilestone"
          class="launch-execution-link m-b-10"
          (click)="startAutomatedExecution()"
        >
          {{
            'sqtm-core.campaign-workspace.test-plan.launch-execution.automated'
              | translate
          }}</a
        >
      }
      <a
        class="launch-execution-link"
        (click)="startExecutionInDialog()"
        [class.disabled]="row.data.hasBlockingMilestone"
      >
        {{
          'sqtm-core.campaign-workspace.test-plan.launch-execution.manual'
            | translate
        }}</a
      >
      <a
        class="launch-execution-link m-t-10"
        (click)="startExecutionInPage()"
        [class.disabled]="row.data.hasBlockingMilestone"
      >
        {{
          'sqtm-core.campaign-workspace.test-plan.launch-execution.page'
            | translate
        }}</a
      >
    </ng-template>
  }
}
